<?php
namespace Entity;

    class User{

        private string $id;
        private string $username;
        private string $passwd;
        private string $hidenPasswd;
        private string $img;
        private string $email;

        /**
         * @param string $id
         * @param string $username
         * @param string $passwd
         * @param string $hidenPasswd
         * @param string $img
         * @param string $email
         */
        public function __construct(string $id, string $username, string $passwd, string $img, string $email)
        {
            $this->id = $id;
            $this->username = $username;
            $this->passwd = $passwd;
            $this->hidenPasswd = hidenPasswd($passwd);
            $this->img = $img;
            $this->email = $email;
        }

        /**
         * @return string
         */
        public function getId(): string
        {
            return $this->id;
        }

        /**
         * @param string $id
         */
        public function setId(string $id): void
        {
            $this->id = $id;
        }

        /**
         * @return string
         */
        public function getUsername(): string
        {
            return $this->username;
        }

        /**
         * @param string $username
         */
        public function setUsername(string $username): void
        {
            $this->username = $username;
        }

        /**
         * @return string
         */
        public function getImg(): string
        {
            return $this->img;
        }

        /**
         * @param string $img
         */
        public function setImg(string $img): void
        {
            $this->img = $img;
        }

        /**
         * @return string
         */
        public function getEmail(): string
        {
            return $this->email;
        }

        /**
         * @param string $email
         */
        public function setEmail(string $email): void
        {
            $this->email = $email;
        }

        /**
         * @return string
         */
        public function getPasswd(): string
        {
            return $this->passwd;
        }

        /**
         * @return string
         */
        public function getHidenPasswd(): string
        {
            return $this->hidenPasswd;
        }

        /**
         * @param string $passwd
         */
        public function setPasswd(string $passwd): void
        {
            $this->passwd = $passwd;
            $this->hidenPassWd = hidenPassWd($passwd);
        }



    }

    
    function hidenPassWd(string $passwd){
        if(strlen($passwd) >= 16) return str_repeat('*', 16);
        return str_repeat('*', strlen($passwd)); 
    }
?>
